Subject: Re: bug#16708: 24.3.50; font-lock nadvice mechanism

From: Noam Postavsky <[email-masked]>
Date: Sun, 28 Jan 2018 20:25:58 -0500

close 16708
quit

Stefan Monnier <[email-masked]> writes:

>> I suggest to add `add-function' and `advice-add' (which are used instead
>> of defadvice at some places) to the font-lock in lisp mode, just as
>> defadvice is.
>
> It might be OK for advice-add but I'm not sure it makes sense for
> add-function.

Well, since we now highlight all macros, add-function is hightlighted,
but advice-add isn't.  I don't think it's worth special casing it.